
#Environment -- these can be overidden prior to running
[ "$ARCHIVE" != "" ] || ARCHIVE=`pwd`
SUDO=sudo
PREFIX=/usr

function check_package {
    dpkg -s $1 2>&1 > /dev/null
}

function install_one_package {
    $SUDO apt-get install --yes $1
}

function install_packages {
    for p in $@; do
	check_package $p || install_one_package $p
    done
}

function do_kernel {
    install_packages linux-kernel kernel-package
}

function errormsg {
    echo $@ 1>&2
    return 1
}

function http_dest {
    url=$1
    filename=${url##*/}
    echo $ARCHIVE/$filename
}

function get_http {
    url=$1
    ofile=`http_dest $url`
    wget --quiet -O $ofile $url || errormsg "Failed to get $url"
    echo $ofile
}

function try_http {
    [ -e `http_dest $1` ] || get_http $1
}
