#!/bin/bash

source sources.bash

case "`arch`" in
    "i686")
      IMG=$KERNELIMG_I686_URL
      HDR=$KERNELHDR_I686_URL
      ;;
    "x86_64")
      IMG=$KERNELIMG_X64_URL
      HDR=$KERNELHDR_X64_URL
      ;;
    *)
      echo "I do not know about your architecture so please patch and build the kernel packages"
      echo "by running 'bash kernel_build.bash'."
      exit 1
      ;;
esac

if [ "$HDR" == "" ] || [ "$IMG" == "" ]; then
    echo "No images have been made for your architecture so please patch and build the"
    echo "kernel packages by running 'bash kernel_build.bash"
    exit 1
fi

# Maybe this will work
wget $HDR
wget $IMG
